#5349 Create Fedora 18 Beta test compose (TC) and release candidate (RC)

Created 5 years ago by adamwill
Modified 9 months ago

It's time to start doing Fedora 18 Beta composes:

http://jreznik.fedorapeople.org/schedules/f-18/f-18-releng-tasks.html

"Create Beta Test Compose (TC) - Tue 2012-10-02"

So let's have a TC1! Please use https://admin.fedoraproject.org/updates/livecd-tools-18.12-1.fc18 to build the live images, it should make them EFI bootable (this has been broken for a few days). Please use https://admin.fedoraproject.org/updates/FEDORA-2012-14395/lorax-18.20-1.fc18 to build the DVDs, we usually want to use the latest lorax. Also, we have some stuff that should be pulled in to the composes:

The Deliverables SOP is still in draft status, but it may be useful as a reference: ​https://fedoraproject.org/wiki/User:Adamwill/Draft_releng_SOP_deliverables . For Beta we need netinst, DVD, and lives for four main desktops plus SoaS.

Re-opening for TC2. We need to fix https://bugzilla.redhat.com/show_bug.cgi?id=862537 , the issue which prevented TC1 from booting without modifications to the kernel parameters - I believe that's a compose issue? Please advise if it's not.

Aside from that, we need:

That's all, but it's a significant change (big changes to partitioning).

Re-opening for TC4. In addition to the above, please pull:

I don't have anything else on the list. Thanks!

Lives were made without the correct version of livecd-tools.

Re-spinning them now.

Re-opening for TC5. In addition to what's in stable, please pull in:
* [https://admin.fedoraproject.org/updates/anaconda-18.18-1.fc18 anaconda-18.18-1.fc18]
* Many blocker fixes
* [https://admin.fedoraproject.org/updates/FEDORA-2012-16382/firewalld-0.2.9-1.fc18 firewalld-0.2.9-1.fc18]
* Required by anaconda-18.18-1
* [https://admin.fedoraproject.org/updates/btrfs-progs-0.20.rc1.20121017git91d9eec-1.fc18 btrfs-progs-0.20.rc1.20121017git91d9eec-1.fc18]
* for [https://bugzilla.redhat.com/show_bug.cgi?id=864765 864765]
* [https://admin.fedoraproject.org/updates/oxygen-gtk3-1.1.1-2.fc18 oxygen-gtk3-1.1.1-2.fc18]
* for [https://bugzilla.redhat.com/show_bug.cgi?id=864058 864058]
* [https://admin.fedoraproject.org/updates/python-meh-0.17-1.fc18 python-meh-0.17-1.fc18]
* for [https://bugzilla.redhat.com/show_bug.cgi?id=854959 854959]
* [https://admin.fedoraproject.org/updates/apper-0.8.0-0.8.20121002git.fc18 apper-0.8.0-0.8.20121002git.fc18]
* for [https://bugzilla.redhat.com/show_bug.cgi?id=866486 866486]

Please make sure that the build environment is using the latest lorax:
* [https://admin.fedoraproject.org/updates/FEDORA-2012-15993/lorax-18.21-1.fc18 lorax-18.21-1.fc18]

Compose fails with:

yum.Errors.YumRPMCheckError: [u'ERROR with transaction check vs depsolve:', 'pykickstart >= 1.99.20 is needed by anaconda-18.18-1.fc18.i686', u'Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum']

so, ok to add pykickstart-1.99.20.fc18 ?

Sorry, thats pykickstart-1.99.20-1.fc18.

Replying to [comment:13 kevin]:

Sorry, thats pykickstart-1.99.20-1.fc18.

Yeah, I forgot that was a requirement of newer anaconda. Please add [https://admin.fedoraproject.org/updates/FEDORA-2012-16185/pykickstart-1.99.20-1.fc18 pykickstart-1.99.20-1.fc18] as a dependency of anaconda.

Re-opening for TC6 (I know it's quick) with:

We haven't tested the new anaconda yet, but hey, if it turns out to be DOA, we can just work on TC5 instead. This way we have two builds.

From TC5 i386 DVD (will file bug):

package: epiphany-extensions-3.5.0-0.2.20120914gitf4fcbfc.fc18.i686 from myrepo
unresolved deps:
epiphany(abi) = 0:3.5

Replying to [comment:19 adamwill]:

I believe this has currently broken dependencies, pykickstart >= 1.99.21 has to be added to the update.

Hold that thought - https://bugzilla.redhat.com/show_bug.cgi?id=872446 is a bad enough regression that we shouldn't build a TC with it included. Wait for anaconda 18.24 before doing TC7. I'll update the request later.

OK, looks like we're ready to fire TC7 now. Request is exactly as in comment #19, with these changes:

pykickstart was pushed stable separately, so kparal's note doesn't apply.

http://dl.fedoraproject.org/pub/alt/stage/18-Beta-TC9/

some of the live cd tasks failed weirdly im digging into why and will put the missing lives up when complete.

Replying to [comment:31 adamwill]:

This is not needed for upgrades with fedup, just fedup-dracut (and fedup-dracut-plymouth which is a subpackage of fedup-dracut and part of the same update) for F18.

Also, upgrades need the new systemd:
* [https://admin.fedoraproject.org/updates/systemd-195-8.fc18 systemd-195-8.fc18]
* for [https://bugzilla.redhat.com/show_bug.cgi?id=873459 873459 (blocker)]

{{{
Added x86_64 repo from /srv/pungi/18-Beta-RC1/18-Beta/Fedora/x86_64/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
x86_64
Num Packages in Repos: 4172

Added i386 repo from /srv/pungi/18-Beta-RC1/18-Beta/Fedora/i386/os
Reading in repository metadata - please wait....
Checking Dependencies
Repos looked at: 1
i386
Num Packages in Repos: 4178
}}}

http://dl.fedoraproject.org/pub/alt/stage/18-Beta-RC1/

9 months ago

Metadata Update from @adamwill:
- Issue set to the milestone: Fedora 18 Beta

Login to comment on this ticket.

cancel